### gootp

gootp is a terminal-based 2FA (Two-Factor Authentication) app.

[![asciicast](https://asciinema.org/a/s9eF7EbqgnCkoLVwbv0TE0a8Y.svg)](https://asciinema.org/a/s9eF7EbqgnCkoLVwbv0TE0a8Y)

## Features
- Supported algorithms: TOTP
- Compatible with [andOTP](https://github.com/andOTP/andOTP) file format
- Allows to encrypt/decrypt andOTP files on your PC

## Installation

Requirements:
1. Go 1.19+
2. [Exported andOTP file](https://github.com/andOTP/andOTP#backups=)

```shell
go install gitea.dwysokinski.me/Kichiyaki/gootp@latest
cp /path/to/andotp/file ~/.otp_accounts.json # !IMPORTANT! this file must be encrypted
```
## Examples

```shell
gootp # show OTP list
gootp -h # help for gootp
gootp -p /path/to/andotp/file/.otp_accounts.json # override default path
gootp --password xxx # specify encryption password via flag
gootp -p /path/to/andotp/file/.otp_accounts.json encrypt -o /output/.otp_accounts.json.aes # encrypt file
gootp -p /path/to/andotp/file/.otp_accounts.json decrypt -o /output/.otp_accounts.json.aes # decrypt file
```
